Get Specific Pathway Version
curl --request GET \
--url https://api.bland.ai/v1/pathway/{pathway_id}/version/{version_id} \
--header 'authorization: <authorization>'import requests
url = "https://api.bland.ai/v1/pathway/{pathway_id}/version/{version_id}"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api.bland.ai/v1/pathway/{pathway_id}/version/{version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Customer Support Flow v2",
"nodes": [
{
"id": "1",
"type": "Default",
"data": {
"name": "Start",
"text": "Hello! How can I assist you today?",
"isStart": true
}
},
{
"id": "2",
"type": "End Call",
"data": {
"name": "End call",
"prompt": "Thank you for contacting us. Have a great day!"
}
}
],
"edges": [
{
"id": "edge-1-2",
"source": "1",
"target": "2",
"label": "Issue resolved"
}
],
"version_number": 2,
"is_latest": true
}
Pathway Versions
Get Specific Pathway Version
Retrieves a specific version of a pathway, including its name, nodes, edges, version number, and latest status.
GET
/
v1
/
pathway
/
{pathway_id}
/
version
/
{version_id}
Get Specific Pathway Version
Headers
string
required
Your API key for authentication.
Path Parameters
string
required
The ID of the pathway.
string
required
The ID of the version to retrieve. Use 0 for the live pathway.
Response
string
The name of the pathway version.
array of objects
Data about all the nodes in the pathway version.
Node Object Parameters
Node Object Parameters
id— Unique identifier of the nodetype— Type of the node (e.g., “Default”, “End Call”, “Webhook”)data— Object containing node-specific dataname— Name of the nodetextorprompt— Text or prompt associated with the node- Other properties specific to the node type
array of objects
Data about all the edges in the pathway version.
Edge Object Parameters
Edge Object Parameters
id— Unique identifier of the edgesource— ID of the source nodetarget— ID of the target nodelabel— Label for this edge
integer
The version number of this pathway version.
boolean
Indicates whether this is the latest version of the pathway.
{
"name": "Customer Support Flow v2",
"nodes": [
{
"id": "1",
"type": "Default",
"data": {
"name": "Start",
"text": "Hello! How can I assist you today?",
"isStart": true
}
},
{
"id": "2",
"type": "End Call",
"data": {
"name": "End call",
"prompt": "Thank you for contacting us. Have a great day!"
}
}
],
"edges": [
{
"id": "edge-1-2",
"source": "1",
"target": "2",
"label": "Issue resolved"
}
],
"version_number": 2,
"is_latest": true
}
Docs for agents: llms.txt
Was this page helpful?